# esda.Geary_Local

class esda.Geary_Local(connectivity=None, labels=False, sig=0.05, permutations=999, n_jobs=1, keep_simulations=True, seed=None, island_weight=0, drop_islands=True)

  Local Geary - Univariate

  __init__(connectivity=None, labels=False, sig=0.05, permutations=999, n_jobs=1, keep_simulations=True, seed=None, island_weight=0, drop_islands=True)

    Initialize a Local_Geary estimator

    Parameters:
      connectivity `W` | `Graph`

        spatial weights instance as W or Graph aligned with y

      labels bool

        (default=False) If True use, label if an observation belongs to an outlier, cluster, other, or non-significant group. 1 = outlier, 2 = cluster, 3 = other, 4 = non-significant. Note that this is not the exact same as the cluster map produced by GeoDa.

      sig `float`

        (default=0.05) Default significance threshold used for creation of labels groups.

      permutations `int`

        (default=999) number of random permutations for calculation of pseudo p_values

      n_jobs `int`

        (default=1) Number of cores to be used in the conditional randomisation. If -1, all available cores are used.

      keep_simulations `Boolean`

        (default=True) If True, the entire matrix of replications under the null is stored in memory and accessible; otherwise, replications are not saved

      seed None/int

        Seed to ensure reproducibility of conditional randomizations. Must be set here, and not outside of the function, since numba does not correctly interpret external seeds nor numpy.random.RandomState instances.

      island_weight

        value to use as a weight for the “fake” neighbor for every island. If numpy.nan, will propagate to the final local statistic depending on the stat_func. If 0, then the lag is always zero for islands.

      drop_islands bool (default `True`)

        Whether or not to preserve islands as entries in the adjacency list. By default, observations with no neighbors do not appear in the adjacency list. If islands are kept, they are coded as self-neighbors with zero weight. See `libpysal.weights.to_adjlist()`.

    Attributes:
      localG `numpy` `array`

        array containing the observed univariate Local Geary values.

      p_sim `numpy` `array`

        array containing the simulated p-values for each unit.

      labs `numpy` `array`

        array containing the labels for if each observation.

  Methods

  `__init__`([connectivity, labels, sig, ...]) | Initialize a Local_Geary estimator
  `fit`(x) |
  `get_metadata_routing`() | Get metadata routing of this object.
  `get_params`([deep]) | Get parameters for this estimator.
  `set_fit_request`(*[, x]) | Configure whether metadata should be requested to be passed to the `fit` method.
  `set_params`(**params) | Set the parameters of this estimator.

  fit(x)
    Parameters:
      x `numpy.ndarray`

        array containing continuous data

    Returns:
      `the` fitted estimator.

    Notes

    Technical details and derivations can be found in [Ans95].

    Examples

    Guerry data replication GeoDa tutorial >>> import libpysal as lp >>> import geopandas as gpd >>> guerry = lp.examples.load_example(‘Guerry’) >>> guerry_ds = gpd.read_file(guerry.get_path(‘Guerry.shp’)) >>> w = libpysal.weights.Queen.from_dataframe(guerry_ds) >>> y = guerry_ds[‘Donatns’] >>> lG = Local_Geary(connectivity=w).fit(y) >>> lG.localG[0:5] >>> lG.p_sim[0:5]

  set_fit_request(*, x: bool | None | str = '$UNCHANGED$') → Geary_Local

    Configure whether metadata should be requested to be passed to the `fit` method.

    Note that this method is only relevant when this estimator is used as a sub-estimator within a meta-estimator and metadata routing is enabled with `enable_metadata_routing=True` (see `sklearn.set_config()`). Please check the User Guide on how the routing mechanism works.

    The options for each parameter are:

    - `True`: metadata is requested, and passed to `fit` if provided. The request is ignored if metadata is not provided.

    - `False`: metadata is not requested and the meta-estimator will not pass it to `fit`.

    - `None`: metadata is not requested, and the meta-estimator will raise an error if the user provides it.

    - `str`: metadata should be passed to the meta-estimator with this given alias instead of the original name.

    The default (`sklearn.utils.metadata_routing.UNCHANGED`) retains the existing request. This allows you to change the request for some parameters and not others.

    Added in version 1.3.

    Parameters:
      x `str`, `True`, `False`, or `None`, default=sklearn.utils.metadata_routing.UNCHANGED

        Metadata routing for `x` parameter in `fit`.

    Returns:
      self `object`

        The updated object.